<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__lq__stats__result__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_lq_stats_result_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__lq__stats__result__t_1afdde2706d665ef3680ccdea8afd2c213" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_lq_stats_result_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>event status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="953" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="953" />
      </memberdef>
      <memberdef id="structwiced__bt__lq__stats__result__t_1ac70ecfedd025b613b6c11128d9edb135" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_lq_stats_result_t::conn_handle</definition>
        <argsstring />
        <name>conn_handle</name>
        <briefdescription>
<para>connection handle of link quality stats </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="954" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="954" />
      </memberdef>
      <memberdef id="structwiced__bt__lq__stats__result__t_1ad78bc5ee13b28199e2e0a7369a6f0665" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_lq_stats_result_t::action</definition>
        <argsstring />
        <name>action</name>
        <briefdescription>
<para>see wiced_bt_dev_link_quality_stats_param for options </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="955" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="955" />
      </memberdef>
      <memberdef id="structwiced__bt__lq__stats__result__t_1abb8f493734dbb7008e60ea3ba611c7a7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__lq__br__edr__stats">wiced_bt_lq_br_edr_stats</ref></type>
        <definition>wiced_bt_lq_br_edr_stats wiced_bt_lq_stats_result_t::br_edr_stats</definition>
        <argsstring />
        <name>br_edr_stats</name>
        <briefdescription>
<para>br edr statistics </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="959" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="959" />
      </memberdef>
      <memberdef id="structwiced__bt__lq__stats__result__t_1a1b1a2bd9c043712209a6cf9f9d3cfb51" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__lq__le__stats">wiced_bt_lq_le_stats</ref></type>
        <definition>wiced_bt_lq_le_stats wiced_bt_lq_stats_result_t::le_stats</definition>
        <argsstring />
        <name>le_stats</name>
        <briefdescription>
<para>le statistics </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="960" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="960" />
      </memberdef>
      <memberdef id="structwiced__bt__lq__stats__result__t_1acaf4f8938baacf11a37b7652309a64f7" kind="variable" mutable="no" prot="public" static="no">
        <type>union wiced_bt_lq_stats_result_t::@2</type>
        <definition>union wiced_bt_lq_stats_result_t::@2 wiced_bt_lq_stats_result_t::wiced_bt_lq_stats</definition>
        <argsstring />
        <name>wiced_bt_lq_stats</name>
        <briefdescription>
<para>LQ Quality Statistics. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="961" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LQ Quality Result (in response to wiced_bt_dev_lq_stats) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="581">
        <label>wiced_bt_lq_br_edr_stats</label>
        <link refid="structwiced__bt__lq__br__edr__stats" />
        <childnode refid="582" relation="usage">
          <edgelabel>txPkts</edgelabel>
          <edgelabel>rxPkts</edgelabel>
        </childnode>
      </node>
      <node id="584">
        <label>wiced_bt_device_edr_packet_types_t</label>
        <link refid="structwiced__bt__device__edr__packet__types__t" />
      </node>
      <node id="582">
        <label>wiced_bt_br_edr_pkt_type_stats</label>
        <link refid="unionwiced__bt__br__edr__pkt__type__stats" />
        <childnode refid="583" relation="usage">
          <edgelabel>br_packet_types</edgelabel>
        </childnode>
        <childnode refid="584" relation="usage">
          <edgelabel>edr_packet_types</edgelabel>
        </childnode>
      </node>
      <node id="580">
        <label>wiced_bt_lq_stats_result_t</label>
        <link refid="structwiced__bt__lq__stats__result__t" />
        <childnode refid="581" relation="usage">
          <edgelabel>br_edr_stats</edgelabel>
        </childnode>
        <childnode refid="585" relation="usage">
          <edgelabel>le_stats</edgelabel>
        </childnode>
      </node>
      <node id="583">
        <label>wiced_bt_device_br_packet_types_t</label>
        <link refid="structwiced__bt__device__br__packet__types__t" />
      </node>
      <node id="585">
        <label>wiced_bt_lq_le_stats</label>
        <link refid="structwiced__bt__lq__le__stats" />
      </node>
    </collaborationgraph>
    <location bodyend="962" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="951" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="952" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1ad78bc5ee13b28199e2e0a7369a6f0665" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>action</name></member>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1abb8f493734dbb7008e60ea3ba611c7a7" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>br_edr_stats</name></member>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1ac70ecfedd025b613b6c11128d9edb135" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>conn_handle</name></member>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1a1b1a2bd9c043712209a6cf9f9d3cfb51" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>le_stats</name></member>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1afdde2706d665ef3680ccdea8afd2c213" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>status</name></member>
      <member prot="public" refid="structwiced__bt__lq__stats__result__t_1acaf4f8938baacf11a37b7652309a64f7" virt="non-virtual"><scope>wiced_bt_lq_stats_result_t</scope><name>wiced_bt_lq_stats</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>